Bug 1950997 - Firefox 88.0 available
Summary: Firefox 88.0 available
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: firefox
Version: 33
Hardware: All
OS: All
unspecified
urgent
Target Milestone: ---
Assignee: Martin Stransky
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-04-19 10:55 UTC by JayJayJazz
Modified: 2021-04-26 01:24 UTC (History)
9 users (show)

Fixed In Version: firefox-88.0-1.fc33 firefox-88.0-1.fc34 firefox-88.0-4.fc32
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-04-21 21:41:29 UTC
Type: Bug


Attachments (Terms of Use)

Description JayJayJazz 2021-04-19 10:55:24 UTC
Description of problem:
The release date for Firefox 88.0 is today. See: https://wiki.mozilla.org/Release_Management/Calendar
The release files are available.

Version-Release number of selected component (if applicable):
88.0

Additional info:
- Release Notes not yet published (https://www.mozilla.org/en-US/firefox/88.0/releasenotes/)
- Release Files: https://ftp.mozilla.org/pub/firefox/releases/88.0/

Comment 1 JayJayJazz 2021-04-19 13:23:39 UTC
Release Notes available: https://www.mozilla.org/en-US/firefox/88.0/releasenotes/

New:
- PDF forms now support JavaScript embedded in PDF files. Some PDF forms use JavaScript for validation and other interactive features.
- Print updates: Margin units are now localized.
- Smooth pinch-zooming using a touchpad is now supported on Linux
- To protect against cross-site privacy leaks, Firefox now isolates window.name data to the website that created it.

Fixed:
- Screen readers no longer incorrectly read content that websites have visually hidden, as in the case of articles in the Google Help panel.
- Various security fixes.

Changed:
- Firefox will not prompt for access to your microphone or camera if you’ve already granted access to the same device on the same site in the same tab within the past 50 seconds. This new grace period reduces the number of times you’re prompted to grant device access.
- The ‘Take a Screenshot’ feature was removed from the Page Actions menu in the url bar. To take a screenshot, right-click to open the context menu. You can also add a screenshots shortcut directly to your toolbar via the Customize menu. Open the Firefox menu and select Customize…
- FTP support has been disabled, and its full removal is planned for an upcoming release. Addressing this security risk reduces the likelihood of an attack while also removing support for a non-encrypted protocol.



Security Fixes:
https://www.mozilla.org/en-US/security/advisories/mfsa2021-16/

Comment 2 Fedora Update System 2021-04-21 08:21:46 UTC
FEDORA-2021-d1dbb4a38f has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-d1dbb4a38f

Comment 3 Fedora Update System 2021-04-21 08:21:46 UTC
FEDORA-2021-5ed46601f6 has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2021-5ed46601f6

Comment 4 Fedora Update System 2021-04-21 08:21:47 UTC
FEDORA-2021-dae8dfd2c9 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2021-dae8dfd2c9

Comment 5 Fedora Update System 2021-04-21 21:41:29 UTC
FEDORA-2021-5ed46601f6 has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 6 Fedora Update System 2021-04-21 21:51:19 UTC
FEDORA-2021-dae8dfd2c9 has been pushed to the Fedora 32 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-dae8dfd2c9`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-dae8dfd2c9

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2021-04-23 15:26:26 UTC
FEDORA-2021-d8b1386945 has been pushed to the Fedora 32 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-d8b1386945`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-d8b1386945

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2021-04-24 20:17:04 UTC
FEDORA-2021-d1dbb4a38f has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 9 Fedora Update System 2021-04-26 01:24:36 UTC
FEDORA-2021-d8b1386945 has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.